gnutls_rsa_params_export_pkcs1(3)

NAME
gnutls_rsa_params_export_pkcs1 - API function

SYNOPSIS
#include <gnutls/compat.h>

int gnutls_rsa_params_export_pkcs1(gnutls_rsa_params_t params, gnutls_x509_crt_fmt_t format, unsigned char * params_data, size_t * params_data_size);

ARGUMENTS

gnutls_rsa_params_t params
    Holds the RSA parameters

gnutls_x509_crt_fmt_t format
    the format of output params. One of PEM or DER.

unsigned char * params_data
    will contain a PKCS1 RSAPrivateKey structure PEM or DER encoded

size_t * params_data_size
    holds the size of params_data (and will be replaced by the actual size of parameters)

DESCRIPTION
This function will export the given RSA parameters to a PKCS1 RSAPrivateKey structure. If the buffer provided is not long enough to hold the output, then GNUTLS_E_SHORT_MEMORY_BUFFER will be returned. If the structure is PEM encoded, it will have a header of "BEGIN RSA PRIVATE KEY".

RETURNS
GNUTLS_E_SUCCESS on success, or an negative error code.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2001-2013 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/